/* Navigation bar (header) */
.navigation {
    position: fixed;
    right: 0;
    top: 0;
    display: flex;
    padding: 0px;
    z-index: 10001;
}
.nav-menu-icon {
    margin-right: 3rem;
    margin-top: 3rem;
    background-color: var(--black);
    box-shadow: 0px 0px 10px #feda6a;
    width: 3rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 100;
    transition: all 300ms ease-in;
    color: white;
    border-radius: 0.4rem;
    animation: 5s pulse-shadow ease-in-out infinite;
}
@keyframes pulse-shadow {
    50% {
        box-shadow: 0px 0px 20px #feda6a;
    }
}
.nav-menu-icon:hover {
    background-color: var(--light-grey);
    color: var(--black);
    cursor: pointer;
}
.menu-box {
    width: 0;
    height: 0;
    background: rgba(0, 0, 0, 0.9);
    position: fixed;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    border-bottom-left-radius: 100%;
    transition: width 0.5s, height 0.5s, border-radius 0.5s;
}
.menu-box.open-menu {
    width: 100vw;
    height: 100vh;
    border-bottom-left-radius: 0;
}
.menu-box.open-menu ul li {
    opacity: 1;
    transform: translateY(0);
    transition: transform 1s, opacity 1s;
    transition-delay: 0.3s;
}
.menu-box ul li {
    list-style: none;
    margin: 2rem;
    text-align: center;
    opacity: 0;
    transform: translateY(30px);
}
.menu-box ul li a {
    display: inline-block;
    text-decoration: none;
    color: white;
    font-size: 3rem;
    font-weight: 600;
    position: relative;
    transition: color 0.5s, transform 0.5s;
}
.menu-box ul li a:hover {
    transform: translateY(-0.5rem);
    color: var(--light-grey);
}

